Bug 1255200 - [abrt] libreoffice-core: sdr::table::SvxTableController::SetTableStyle(): soffice.bin killed by SIGSEGV
[abrt] libreoffice-core: sdr::table::SvxTableController::SetTableStyle(): sof...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5cfc732bfaa3160077db6867b13...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 19:09 EDT by Benjamin Ariel Nava Martinez
Modified: 2015-10-23 12:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: 4.4.5.2-5.fc22 libreoffice-4.3.7.2-12.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-23 12:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (184.46 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: core_backtrace (20.58 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: dso_list (29.28 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: environ (2.08 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: exploitable (110 bytes, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: maps (132.71 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: open_fds (3.42 KB, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details
File: proc_pid_status (1016 bytes, text/plain)
2015-08-19 19:09 EDT, Benjamin Ariel Nava Martinez
no flags Details

  None (edit)
Description Benjamin Ariel Nava Martinez 2015-08-19 19:09:16 EDT
Description of problem:
I don't know, but it happened while trying to apply a table theme to a table in Impress

Version-Release number of selected component:
libreoffice-core-4.3.7.2-9.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/ariel/Documentos/Quantum%20Leap/Ventas/Corrida%20de%20Precios%20P%C3%A1ginas%20Web.ods --splash-pipe=5
crash_function: sdr::table::SvxTableController::SetTableStyle
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         4.1.4-100.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sdr::table::SvxTableController::SetTableStyle at /usr/src/debug/libreoffice-4.3.7.2/svx/source/table/tablecontroller.cxx:1057
 #1 sd::TableDesignWidget::ApplyStyle at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/table/TableDesignPane.cxx:212
 #2 implValueSetHdl at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/table/TableDesignPane.cxx:180
 #3 sd::TableDesignWidget::LinkStubimplValueSetHdl at /usr/src/debug/libreoffice-4.3.7.2/sd/source/ui/table/TableDesignPane.cxx:176
 #4 ValueSet::Tracking at /usr/src/debug/libreoffice-4.3.7.2/svtools/source/control/valueset.cxx:1236
 #5 Window::EndTracking at /usr/src/debug/libreoffice-4.3.7.2/vcl/source/window/window2.cxx:666
 #6 ImplHandleMouseEvent at /usr/src/debug/libreoffice-4.3.7.2/vcl/source/window/winproc.cxx:740
 #7 ImplHandleSalMouseButtonUp at /usr/src/debug/libreoffice-4.3.7.2/vcl/source/window/winproc.cxx:1959
 #8 ImplWindowFrameProc at /usr/src/debug/libreoffice-4.3.7.2/vcl/source/window/winproc.cxx:2314
 #9 CallCallback at /usr/src/debug/libreoffice-4.3.7.2/vcl/inc/salframe.hxx:243
Comment 1 Benjamin Ariel Nava Martinez 2015-08-19 19:09:22 EDT
Created attachment 1065031 [details]
File: backtrace
Comment 2 Benjamin Ariel Nava Martinez 2015-08-19 19:09:22 EDT
Created attachment 1065032 [details]
File: cgroup
Comment 3 Benjamin Ariel Nava Martinez 2015-08-19 19:09:24 EDT
Created attachment 1065033 [details]
File: core_backtrace
Comment 4 Benjamin Ariel Nava Martinez 2015-08-19 19:09:25 EDT
Created attachment 1065034 [details]
File: dso_list
Comment 5 Benjamin Ariel Nava Martinez 2015-08-19 19:09:26 EDT
Created attachment 1065035 [details]
File: environ
Comment 6 Benjamin Ariel Nava Martinez 2015-08-19 19:09:26 EDT
Created attachment 1065036 [details]
File: exploitable
Comment 7 Benjamin Ariel Nava Martinez 2015-08-19 19:09:27 EDT
Created attachment 1065037 [details]
File: limits
Comment 8 Benjamin Ariel Nava Martinez 2015-08-19 19:09:30 EDT
Created attachment 1065038 [details]
File: maps
Comment 9 Benjamin Ariel Nava Martinez 2015-08-19 19:09:31 EDT
Created attachment 1065039 [details]
File: open_fds
Comment 10 Benjamin Ariel Nava Martinez 2015-08-19 19:09:32 EDT
Created attachment 1065040 [details]
File: proc_pid_status
Comment 11 Caolan McNamara 2015-09-01 07:57:03 EDT
I'll try a somewhat hopeful fix based on the backtrace
Comment 12 Fedora Update System 2015-09-04 02:53:17 EDT
libreoffice-4.3.7.2-11.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14940
Comment 13 Fedora Update System 2015-09-04 03:30:00 EDT
libreoffice-4.4.5.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update libreoffice'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14942
Comment 14 Fedora Update System 2015-09-06 00:49:40 EDT
libreoffice-4.4.5.2-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-09-22 11:18:41 EDT
libreoffice-4.3.7.2-12.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16432
Comment 16 Fedora Update System 2015-09-23 01:22:53 EDT
libreoffice-4.3.7.2-12.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libreoffice'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16432
Comment 17 Fedora Update System 2015-10-23 12:21:36 EDT
libreoffice-4.3.7.2-12.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.